﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{B3553B9D-4837-4B9D-A06A-E2A9029961F2}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Dispatch</RootNamespace>
    <AssemblyName>Dispatch</AssemblyName>
    <TargetFrameworkVersion>v4.6</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <OutputPath>bin\x64\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="LSPD First Response">
      <HintPath>lib\LSPD First Response.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="RAGENativeUI">
      <HintPath>lib\RAGENativeUI.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="RagePluginHookSDK">
      <HintPath>lib\RagePluginHookSDK.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Drawing" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AssemblyUtilities.cs" />
    <Compile Include="BuildInfo.cs" />
    <Compile Include="Menus\DrivingStyle.cs" />
    <Compile Include="Menus\TrafficMenu.cs" />
    <Compile Include="Menus\DispatchMenu.cs" />
    <Compile Include="DispatchRadio.cs" />
    <Compile Include="EntryPoint.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Services\ServiceVehicle.cs" />
    <Compile Include="Services\Traffic\TowTruck.cs" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>echo namespace Dispatch &gt; "$(ProjectDir)\BuildInfo.cs"
echo { &gt;&gt; "$(ProjectDir)\BuildInfo.cs"
echo     public static class BuildInfo &gt;&gt; "$(ProjectDir)\BuildInfo.cs"
echo     { &gt;&gt; "$(ProjectDir)\BuildInfo.cs"
echo         public const string BuildNumber = "%25APPVEYOR_BUILD_NUMBER%25"; &gt;&gt; "$(ProjectDir)\BuildInfo.cs"
echo         public const string BuildTag = "%25APPVEYOR_REPO_TAG_NAME%25"; &gt;&gt; "$(ProjectDir)\BuildInfo.cs"
echo         public const string BuildTimestamp = "$([System.DateTime]::UtcNow.ToString("yyyy-MM-ddTHH:mm:ss 'GMT'"))"; &gt;&gt; "$(ProjectDir)\BuildInfo.cs"
echo     } &gt;&gt; "$(ProjectDir)\BuildInfo.cs"
echo } &gt;&gt; "$(ProjectDir)\BuildInfo.cs"</PreBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>